- Main Page
- Modules
- Namespaces
- Classes
- Files

# init.h File Reference

`#include <glibmm/error.h>`
`#include <glibmm/optiongroup.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
## Functions
void | Gst::init (int& argc, char**& argv)
| Initializes gstreamermm parsing command line arguments.
void | Gst::init ()
| Initializes gstreamermm without parsing command line options.
bool | Gst::init_check (int& argc, char**& argv)
| Initializes gstreamermm gracefully parsing command line arguments.
bool | Gst::init_check ()
| Initializes gstreamermm gracefully without parsing command line arguments.
Glib::OptionGroup | Gst::get_option_group ()
| Returns a Glib::OptionGroup with GStreamer's argument specifications.